package com.xunhong.erp.turbo.infra.domain.gateway;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.xunhong.erp.turbo.api.infra.dto.cmd.MaterialBatchAddCmd;
import com.xunhong.erp.turbo.api.infra.dto.cmd.MaterialCreateCmd;
import com.xunhong.erp.turbo.api.infra.dto.cmd.MaterialDestroyCmd;
import com.xunhong.erp.turbo.api.infra.dto.cmd.MaterialUpdateCmd;
import com.xunhong.erp.turbo.api.infra.dto.qry.MaterialPageQry;
import com.xunhong.erp.turbo.api.infra.dto.qry.MaterialShowQry;
import com.xunhong.erp.turbo.infra.domain.entity.Material;

import java.util.List;

public interface MaterialGateway {
	List<Material> save(MaterialBatchAddCmd materialBatchAddCmd);

	IPage<Material> page(MaterialPageQry materialPageQry);

	Material show(MaterialShowQry materialShowQry);

	Material update(MaterialUpdateCmd materialUpdateCmd);

	void destroy(MaterialDestroyCmd materialDestroyCmd);

	Material save(MaterialCreateCmd materialCreateCmd);
}
